public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-libs/gsnmp/
@ 2018-11-29 22:19 Jeroen Roovers
  0 siblings, 0 replies; 2+ messages in thread
From: Jeroen Roovers @ 2018-11-29 22:19 UTC (permalink / raw
  To: gentoo-commits

commit:     213903cd5b070baa7e0e3183de2af281c811c5fe
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 29 06:08:12 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Nov 29 22:19:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=213903cd

net-libs/gsnmp: Update HOMEPAGE

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Bug: https://bugs.gentoo.org/672172
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-libs/gsnmp/gsnmp-0.3.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/net-libs/gsnmp/gsnmp-0.3.0.ebuild b/net-libs/gsnmp/gsnmp-0.3.0.ebuild
index 0adc810d056..034f03a34df 100644
--- a/net-libs/gsnmp/gsnmp-0.3.0.ebuild
+++ b/net-libs/gsnmp/gsnmp-0.3.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
 inherit autotools eutils
 
 DESCRIPTION="An SNMP library based on glib and gnet"
-HOMEPAGE="http://cnds.eecs.jacobs-university.de/users/schoenw/articles/software/index.html"
+HOMEPAGE="https://github.com/schoenw/gsnmp"
 SRC_URI="ftp://ftp.ibr.cs.tu-bs.de/pub/local/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2"


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-libs/gsnmp/
@ 2021-04-19 19:12 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2021-04-19 19:12 UTC (permalink / raw
  To: gentoo-commits

commit:     67ff77e87f243a28e94620a89843a8b631591ae8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 19 18:43:17 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 19 19:12:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67ff77e8

net-libs/gsnmp: port to EAPI 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/gsnmp/gsnmp-0.3.0.ebuild | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

diff --git a/net-libs/gsnmp/gsnmp-0.3.0.ebuild b/net-libs/gsnmp/gsnmp-0.3.0.ebuild
index e38b808d2f6..03183265f56 100644
--- a/net-libs/gsnmp/gsnmp-0.3.0.ebuild
+++ b/net-libs/gsnmp/gsnmp-0.3.0.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit autotools epatch ltprune
+inherit autotools
 
 DESCRIPTION="An SNMP library based on glib and gnet"
 HOMEPAGE="https://github.com/schoenw/gsnmp"
@@ -19,14 +19,18 @@ DEPEND="
 	net-libs/gnet
 "
 RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
 
-DOCS="README"
+DOCS=( README )
+
+PATCHES=(
+	"${FILESDIR}"/${P}-g_access.patch
+	"${FILESDIR}"/${P}-pkg_config.patch
+	"${FILESDIR}"/${P}-underquoting.patch
+)
 
 src_prepare() {
-	epatch \
-		"${FILESDIR}"/${P}-g_access.patch \
-		"${FILESDIR}"/${P}-pkg_config.patch \
-		"${FILESDIR}"/${P}-underquoting.patch
+	default
 
 	eautoreconf
 }
@@ -38,5 +42,5 @@ src_configure() {
 src_install() {
 	default
 
-	prune_libtool_files
+	find "${ED}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-04-19 19:12 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-11-29 22:19 [gentoo-commits] repo/gentoo:master commit in: net-libs/gsnmp/ Jeroen Roovers
  -- strict thread matches above, loose matches on Subject: below --
2021-04-19 19:12 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox